DZEDIT(1)

NAME
dzedit - the CERN ZEBRA documentation editor

SYNOPSIS
dzedit [ options ]
dzeX11

DESCRIPTION

dzeX11 is an interactive interface to the DZDOC (ZEBRA documentation) system developed at CERN. dzedit is a wrapper script around dzeX11 that allows one to set a few environment options. ZEBRA, part of the Packlib library, permits a developer to create complex data structures in the FORTRAN 77 language; the DZDOC system allows the developer to generate and maintain documentation of ZEBRA data structures.

OPTIONS

-d driver
    Use the graphics driver driver, i.e., have dzedit call the program dzedriver. The default is "X11". You are exceedingly unlikely to want anything other than the default.

-h host
    Give the host to open the window on. This is the same as setting the environment variable $DISPLAY to "host:0.0". You don't need to do so if you are logged on to a remote host through SSH (if you are using telnet, shame on you!)

-v version
    Specify the version of CERNLIB to use. This only makes sense if you have a version of CERNLIB directly from CERN installed. In this case you should also have set the environment variable $CERN. Then dzedit will look for the dzeX11 program in the directory $CERN/<version>/bin/.

FILES

dzedit.kumac
    dzedit tries to read startup commands from this file in the current directory.

dzedit.las
    dzedit stores the names of the ZEBRA file and documentation file in this file in the current directory.

last.kumac
    At the end of a session, dzedit outputs this file containing a transcript of the commands used during the session.

SEE ALSO
The ZEBRA manual:
http://wwwasdoc.web.cern.ch/wwwasdoc/psdir/zebra.ps.gz
(specifically, chapter 16 is about DZDOC).

BUGS
This man page is essentially useless because the section of the ZEBRA manual about DZDOC is incomprehensible and there are no tutorials about it. Anyone who wants to provide a better man page is welcome to do so.

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others).